DECLARE @Resumes TABLE
(
	Id BIGINT IDENTITY(1, 1),
	PersonEmailAddress NVARCHAR(255),
	ResumeName NVARCHAR(255),
	IsDefault BIT,
	PersonId BIGINT,
	FirstName NVARCHAR(40),
	LastName NVARCHAR(40),
	ResumeXml NVARCHAR(MAX),
	CompletionStatus INT,
	CompletionDate DATETIME,
	IsVeteran BIT,
	IsSearchable BIT,
	SuffixId BIGINT
)

INSERT INTO @Resumes (PersonEmailAddress, ResumeName, IsDefault, CompletionDate, CompletionStatus, IsVeteran, IsSearchable, ResumeXml)
VALUES 
	('sr.suffix@explorer.com', 'Resume with the Sr. suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('jr.suffix@explorer.com', 'Resume with the Jr. suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('ii.suffix@explorer.com', 'Resume with the II suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('iii.suffix@explorer.com', 'Resume with the III suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('iv.suffix@explorer.com', 'Resume with the IV suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('v.suffix@explorer.com', 'Resume with the V suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>'),
	('esq.suffix@explorer.com', 'Resume with the Esq. suffix', 1, NULL, 63, 0, 1, '<ResDoc><special><preserved_format>Standard</preserved_format><preserved_order>Emphasize my experience</preserved_order></special><resume><contact><name><givenname>##FirstName##</givenname><surname>##LastName##</surname><suffix>##SuffixId##</suffix><suffix_fullname>##SuffixName##</suffix_fullname></name> Home:<phone type="home">1111111111</phone><email>##Email##</email><website></website><address><street>Address Line 1</street><street></street><city>Bluegrove</city><county_fullname></county_fullname><state>TX</state><state_fullname>Texas</state_fullname><postalcode>76352</postalcode><country>US</country><country_fullname>US</country_fullname></address></contact><experience><employment_status_cd>0</employment_status_cd><job><jobid>9fa9587f-f4f0-45a9-9ef3-d4ac4e29a363</jobid><employer>BGT</employer><title>Computer Specialist, Software</title><description>* Conducted theory research.  * Researched computer hardware design.  * Researched computer software design.  * Researched problems in computer hardware.</description><address><city>New York</city><state>NY</state><state_fullname>New York</state_fullname><country>US</country><country_fullname>United States</country_fullname></address><daterange><start>01-2000</start><end currentjob="1">09-2014</end></daterange></job><months_experience>176</months_experience></experience><education><school_status_cd>0</school_status_cd><norm_edu_level_cd>20</norm_edu_level_cd></education><header><default>##IsDefault##</default><resumename>##ResumeName##</resumename><buildmethod>1</buildmethod><resumeid>##resumeid##</resumeid><onet>15-1151.00</onet><ronet>15-1151.00</ronet><status>0</status><completionstatus>##CompletionStatus##</completionstatus><updatedon>12/09/2014 4:56:46 PM</updatedon></header><statements><personal><sex>2</sex><ethnic_heritages><ethnic_heritage><ethnic_id>3</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>4</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>5</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>2</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>6</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>1</ethnic_id><selection_flag>0</selection_flag></ethnic_heritage><ethnic_heritage><ethnic_id>-1</ethnic_id><selection_flag>-1</selection_flag></ethnic_heritage></ethnic_heritages><citizen_flag>-1</citizen_flag><alien_perm_flag>0</alien_perm_flag><alien_authorised_flag>0</alien_authorised_flag><disability_status>3</disability_status><veteran><vet_flag>0</vet_flag><subscribe_vps>0</subscribe_vps></veteran><preferences><sal>10</sal><salary_unit_cd>1</salary_unit_cd><resume_searchable>##IsSearchable##</resume_searchable><contact_info_visible>0</contact_info_visible><postings_interested_in>0</postings_interested_in><relocate>-1</relocate><shift><shift_first_flag>-1</shift_first_flag><shift_second_flag>-1</shift_second_flag><shift_third_flag>-1</shift_third_flag><shift_rotating_flag>-1</shift_rotating_flag><shift_split_flag>-1</shift_split_flag><shift_varies_flag>-1</shift_varies_flag><work_week>3</work_week><work_type>1</work_type><work_over_time>-1</work_over_time></shift></preferences></personal></statements><summary><summary include="1">I have 15 years of experience, including as a Computer Specialist, Software in industries including Building Materials, Hardware, Garden Supply, and Mobile Home Dealers.    Most recently, I have been working as a Computer Specialist, Software at BGT from January 2000 to September 2014.    My skills and experiences include: software architecture.</summary></summary><skills><skills>computer hardware/software knowledge, research, software architecture</skills><internship_skills><skills_already_captured>1</skills_already_captured></internship_skills></skills><skillrollup><canonskill name="computer hardware/software knowledge" /><canonskill name="research" /><canonskill name="software architecture" /></skillrollup><hide_options><hide_daterange>0</hide_daterange><hide_eduDates>0</hide_eduDates><hide_militaryserviceDates>0</hide_militaryserviceDates><hide_workDates>0</hide_workDates><hide_contact>0</hide_contact><hide_name>0</hide_name><hide_email>0</hide_email><hide_homePhoneNumber>0</hide_homePhoneNumber><hide_workPhoneNumber>0</hide_workPhoneNumber><hide_cellPhoneNumber>0</hide_cellPhoneNumber><hide_faxPhoneNumber>0</hide_faxPhoneNumber><hide_nonUSPhoneNumber>0</hide_nonUSPhoneNumber><hide_affiliations>0</hide_affiliations><hide_certifications_professionallicenses>0</hide_certifications_professionallicenses><hide_employer>0</hide_employer><hide_driver_license>0</hide_driver_license><unhide_driver_license>0</unhide_driver_license><hide_honors>0</hide_honors><hide_interests>0</hide_interests><hide_internships>0</hide_internships><hide_languages>0</hide_languages><hide_veteran>0</hide_veteran><hide_objective>0</hide_objective><hide_personalinformation>0</hide_personalinformation><hide_professionaldevelopment>0</hide_professionaldevelopment><hide_publications>0</hide_publications><hide_references>0</hide_references><hide_skills>0</hide_skills><hide_technicalskills>0</hide_technicalskills><hide_volunteeractivities>0</hide_volunteeractivities><hide_thesismajorprojects>0</hide_thesismajorprojects><hidden_skills></hidden_skills></hide_options></resume></ResDoc>')

UPDATE
	TR
SET
	PersonId = P.Id,
	FirstName = P.FirstName,
	LastName = P.LastName,
	SuffixId = P.SuffixId,
	ResumeXml = REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(TR.ResumeXml, 
							'##FirstName##', P.FirstName), 
							'##LastName##', P.LastName), 
							'##ResumeName##', TR.ResumeName), 
							'##Email##', P.EmailAddress),
							'##CompletionStatus##', TR.CompletionStatus),
							'##IsDefault##', TR.IsDefault),
							'##IsSearchable##', TR.IsSearchable),
							'##SuffixId##', LIV.ExternalId),
							'##SuffixName##', LIV.Value)
FROM
	@Resumes TR
INNER JOIN [Data.Application.Person] P
	ON P.EmailAddress = TR.PersonEmailAddress
INNER JOIN [Config.LookupItemsView] LIV
	ON LIV.Id = P.SuffixId
	
DECLARE @PersonId INT
DECLARE @PersonEmailAddress NVARCHAR(255)
DECLARE @ResumeName NVARCHAR(255)
DECLARE @IsDefault BIT
DECLARE @FirstName NVARCHAR(40)
DECLARE @LastName NVARCHAR(40)
DECLARE @SuffixId BIGINT
DECLARE @ResumeId BIGINT
DECLARE @ResumeXml NVARCHAR(MAX)
DECLARE @CompletionDate DATETIME
DECLARE @IsVeteran BIT
DECLARE @IsSearchable BIT
DECLARE @CompletionStatus INT

DECLARE @NextId BIGINT

DECLARE @StateId BIGINT
DECLARE @CountryId BIGINT
DECLARE @CountyId BIGINT

SELECT @StateId = Id FROM [Config.LookupItemsView] WHERE LookupType = 'States' AND [Key] = 'State.TX'
SELECT @CountryId = Id FROM [Config.LookupItemsView] WHERE LookupType = 'Countries' AND [Key] = 'Country.US'
SELECT @CountyId = Id FROM [Config.LookupItemsView] WHERE LookupType = 'Counties' AND [Key] = 'County.ClayTX'

DECLARE @ResumeCount INT
DECLARE @TotalResumes INT

SET @ResumeCount = 1
SELECT @TotalResumes = COUNT(1) FROM @Resumes

WHILE @ResumeCount <= @TotalResumes
BEGIN
	SELECT 
		@PersonId = PersonId,
		@ResumeName = ResumeName,
		@IsDefault = IsDefault,
		@PersonEmailAddress = PersonEmailAddress,
		@FirstName = FirstName,
		@LastName = LastName,
		@SuffixId = SuffixId,
		@ResumeXml = ResumeXml,
		@CompletionDate = CompletionDate,
		@IsVeteran = IsVeteran,
		@IsSearchable = IsSearchable,
		@CompletionStatus = CompletionStatus
	FROM
		@Resumes
	WHERE
		Id = @ResumeCount
		
	IF @PersonId IS NOT NULL 
	AND NOT EXISTS(SELECT 1 FROM [Data.Application.Resume] WHERE PersonId = @PersonId AND ResumeName = @ResumeName AND StatusId = 1)
	BEGIN
		BEGIN TRANSACTION
		
		SELECT @NextId = NextId FROM KeyTable
		
		UPDATE KeyTable SET NextId = NextId + 1
		
		IF @@ERROR <> 0
		BEGIN
			ROLLBACK TRANSACTION
			RETURN
		END
		
		SET @ResumeId = @NextId

		INSERT INTO [Data.Application.Resume]
		(
			Id,
			PrimaryOnet,
			PrimaryROnet,
			ResumeSkills,
			FirstName,
			LastName,
			MiddleName,
			SuffixId,
			DateOfBirth,
			Gender,
			AddressLine1,
			TownCity,
			StateId,
			CountryId,
			PostcodeZip,
			WorkPhone,
			HomePhone,
			MobilePhone,
			FaxNumber,
			EmailAddress,
			HighestEducationLevel,
			YearsExperience,
			IsVeteran,
			IsActive,
			StatusId,
			ResumeXml,
			ResumeCompletionStatusId,
			IsDefault,
			ResumeName,
			IsSearchable,
			CreatedOn,
			UpdatedOn,
			PersonId,
			SkillsAlreadyCaptured,
			CountyId,
			SkillCount,
			WordCount,
			VeteranPriorityServiceAlertsSubscription,
			EducationCompletionDate
		)
		VALUES
		(
			@ResumeId,
			'',
			'',
			'',
			@FirstName,
			@LastName,
			NULL,
			@SuffixId,
			'01 Jan 1980 00:00:00.000',
			2,
			'Address Line 1',
			'Bluegrove',
			@StateId,
			@CountryId,
			'76352',
			NULL,
			'1111111111',
			NULL,
			NULL,
			@PersonEmailAddress,
			20,
			0,
			@IsVeteran,
			1,
			1,
			REPLACE(@ResumeXml, '##ResumeId##', CAST(@ResumeId AS NVARCHAR(10))),
			@CompletionStatus,
			@IsDefault,
			@ResumeName,
			@IsSearchable,
			GETDATE(),
			GETDATE(),
			@PersonId,
			NULL,
			@CountyId,
			0,
			49,
			0,
			@CompletionDate
		)

		IF @@ERROR <> 0
		BEGIN
			ROLLBACK TRANSACTION
			RETURN
		END

		COMMIT TRANSACTION
	END
	
	SET @ResumeCount = @ResumeCount + 1
END